Draft Facebinder/sv: Difference between revisions

From FreeCAD Documentation
(Created page with "==Skript==")
(Updating to match new version of source page)
Line 15: Line 15:


The facebinder tool can be usedin scripts and [[macros]] by using the following function:
The facebinder tool can be usedin scripts and [[macros]] by using the following function:
{{Code|code=
<syntaxhighlight>
makeFacebinder ( selectionset )
makeFacebinder ( selectionset )
}}
</syntaxhighlight>
* Creates a facebinder object from the given selection set, which is a list of selection objects such as returned by the FreeCADGui.Selection.getSelectionEx() method.
* Creates a facebinder object from the given selection set, which is a list of selection objects such as returned by the FreeCADGui.Selection.getSelectionEx() method.
* Only selected faces are taken into account
* Only selected faces are taken into account
Line 23: Line 23:


Example:
Example:
{{Code|code=
<syntaxhighlight>
import Draft, FreeCADGui
import Draft, FreeCADGui
mySelection = FreeCADGui.Selection.getSelectionEx()
mySelection = FreeCADGui.Selection.getSelectionEx()
Draft.makeFacebinder(mySelection)
Draft.makeFacebinder(mySelection)
}}
</syntaxhighlight>
==Limitations==
==Limitations==



Revision as of 21:37, 1 January 2015

Draft Facebinder

Menyplacering
Draft → Facebinder
Arbetsbänkar
Draft, Arch
Standard genväg
F F
Introducerad i version
-
Se även
Ingen

Beskrivning

The facebinder a very simple object constructed from selected faces of other objects. It is of parametric, you can modify the original object and the facebinder object updates accordingly. It can then be used for example for making an extrusion out of a collection of faces from other objects. A typical use is in architectural design, to build an object that covers several pieces of walls. You can move and rotate the facebinder around after its creation, everything will stay linked to the original faces.

Bruk

  1. Select faces on objects (use CTRL to select several faces)
  2. Press the Facebinder, button, or press F, F keys

Skript

The facebinder tool can be usedin scripts and macros by using the following function:

makeFacebinder ( selectionset )
  • Creates a facebinder object from the given selection set, which is a list of selection objects such as returned by the FreeCADGui.Selection.getSelectionEx() method.
  • Only selected faces are taken into account
  • Returns the newly created object

Example:

import Draft, FreeCADGui
mySelection = FreeCADGui.Selection.getSelectionEx()
Draft.makeFacebinder(mySelection)

Limitations

  • Not available before version 0.14